apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: grafana-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
  namespace: istio-system
spec:
  ingressClassName: public
  tls:
    - hosts:
        - k8slia.unrn.edu.ar
      secretName: unrn-secret-tls
  rules:
    - host: k8slia.unrn.edu.ar
      http:
        paths:
          - path: /grafana/(.*)
            pathType: Prefix
            backend:
              service:
                name: grafana
                port:
                  number: 3000

